# Command: ofstream

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ofstream - Open a file stream for writing.

Synopsis:

    string ofstream -> ofstreamhandle true
      -> false

Description:

      Open the file by the supplied name for writing.
      If successful an ofstream handle object
      and the boolean true is returned. In case of failure, only the boolean
      false is returned. This function provides a direct interface to the
      C++ ofstream constructor. SLI's search path mechanism is not used.

Remarks:

    commented 26.3.1999, Diesmann

SeeAlso:

- ofsopen

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative